From 0fb3425873a04ba100b57d59449d27bba6768ff3 Mon Sep 17 00:00:00 2001
From: David Michael <fedora.dm0@gmail.com>
Date: Sat, 9 Jan 2021 14:42:39 -0500
Subject: [PATCH] Make introspection optional in meson

It defaults to enabled to preserve existing behavior.
---
 libcolord-gtk/meson.build | 2 ++
 meson_options.txt         | 1 +
 2 files changed, 3 insertions(+)

diff --git a/libcolord-gtk/meson.build b/libcolord-gtk/meson.build
index c4fe704..18f36a0 100644
--- a/libcolord-gtk/meson.build
+++ b/libcolord-gtk/meson.build
@@ -61,6 +61,7 @@ pkgg.generate(
   description : 'colord-gtk is GTK integration for libcolord',
 )
 
+if get_option('introspection')
 libcolord_gtk_gir = gnome.generate_gir(
   colord_gtk,
   sources : [
@@ -97,6 +98,7 @@ libcolord_gtk_gir = gnome.generate_gir(
   ],
   install : true
 )
+endif
 
 if get_option('vapi')
   gnome.generate_vapi(
diff --git a/meson_options.txt b/meson_options.txt
index 1c3cecc..a4efa84 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -1,4 +1,5 @@
 option('gtk2', type : 'boolean', value : false, description : 'Build Gtk2 library')
+option('introspection', type : 'boolean', value : true, description : 'Build gobject-introspection typelib files')
 option('vapi', type : 'boolean', value : false, description : 'Build vala bindings')
 option('tests', type : 'boolean', value : true, description : 'Build self tests')
 option('man', type : 'boolean', value : true, description : 'Generate man pages')
